aboutsummaryrefslogtreecommitdiffstats
path: root/test/Makefile
diff options
context:
space:
mode:
Diffstat (limited to 'test/Makefile')
-rw-r--r--test/Makefile14
1 files changed, 13 insertions, 1 deletions
diff --git a/test/Makefile b/test/Makefile
index ccf8fcd7..e998b52a 100644
--- a/test/Makefile
+++ b/test/Makefile
@@ -1,6 +1,15 @@
include ../Makefile.config
-DIRS=c compression raytracer spass regression abi
+#DIRS=c compression raytracer spass regression abi
+
+# Kalray note - removing compression, raytracer and spass that cannot be executed by the simulator in reasonable time
+# TODO: abi for Kalray ?
+ifeq ($(ARCH),kvx)
+ DIRS=c regression
+else
+ DIRS=c compression raytracer spass regression abi
+endif
+
ifeq ($(CLIGHTGEN),true)
DIRS+=export
endif
@@ -8,6 +17,9 @@ endif
all:
set -e; for i in $(DIRS); do $(MAKE) CCOMPOPTS='$(CCOMPOPTS)' -C $$i all; done
+all_s:
+ set -e; for i in $(DIRS); do $(MAKE) CCOMPOPTS='$(CCOMPOPTS)' -C $$i all_s; done
+
test:
set -e; for i in $(DIRS); do $(MAKE) SIMU='$(SIMU)' -C $$i test; done